Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# VLCGoalRecognizer::GoalHypothesis Struct Reference

TODO: Write Summary. More...

Collaboration diagram for VLCGoalRecognizer::GoalHypothesis:

[legend]
List of all members.

## Public Member Functions
| GoalHypothesis ()
| Constructs an empty GoalHypothesis with default values.
## Public Attributes
Goalpost | goalpost [2]
| The left and right goalpost.
Vector2< int > | crossBarEndpoint
| Right end of cross bar.
Vector2< double > | crossBarEndpointH
int | width
| Goal width.
int | height
| Goal height (the maximum of the goalpost heights).
bool | onGreen
| There is green below the goal hypthesis.

## Detailed Description

TODO: Write Summary.

Definition at line 480 of file VLCGoalRecognizer.h.

## Constructor & Destructor Documentation

VLCGoalRecognizer::GoalHypothesis::GoalHypothesis | ( |  | ) | `[inline]`

| Constructs an empty GoalHypothesis with default values. Definition at line 483 of file VLCGoalRecognizer.h.

## Member Data Documentation

Goalpost VLCGoalRecognizer::GoalHypothesis::goalpost[2]

| The left and right goalpost. Definition at line 486 of file VLCGoalRecognizer.h. Referenced by VLCGoalRecognizer::analyzeGoal(), VLCGoalRecognizer::detectFreePartOfGoal(), and VLCGoalRecognizer::interpretResults().

Vector2<int> VLCGoalRecognizer::GoalHypothesis::crossBarEndpoint

| Right end of cross bar. Definition at line 489 of file VLCGoalRecognizer.h. Referenced by VLCGoalRecognizer::analyzeGoal(), and VLCGoalRecognizer::scanCrossBar().

Vector2<double> VLCGoalRecognizer::GoalHypothesis::crossBarEndpointH

| Definition at line 490 of file VLCGoalRecognizer.h. Referenced by VLCGoalRecognizer::analyzeGoal(), VLCGoalRecognizer::interpretResults(), and VLCGoalRecognizer::scanCrossBar().

int VLCGoalRecognizer::GoalHypothesis::width

| Goal width. Definition at line 493 of file VLCGoalRecognizer.h. Referenced by VLCGoalRecognizer::analyzeGoal(), VLCGoalRecognizer::detectFreePartOfGoal(), and VLCGoalRecognizer::interpretResults().

int VLCGoalRecognizer::GoalHypothesis::height

| Goal height (the maximum of the goalpost heights). Definition at line 496 of file VLCGoalRecognizer.h. Referenced by VLCGoalRecognizer::analyzeGoal(), and VLCGoalRecognizer::mergeFragments().

bool VLCGoalRecognizer::GoalHypothesis::onGreen

| There is green below the goal hypthesis. Definition at line 499 of file VLCGoalRecognizer.h. Referenced by VLCGoalRecognizer::analyzeGoal().

The documentation for this struct was generated from the following file:

- Modules/ImageProcessor/VLCImageProcessor/VLCGoalRecognizer.h